## jtreg7 7.3.1+1

=== make/Makefile ===
#
# Copyright (c) 1999, 2022, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

TOPDIR = ..

include Defs.gmk
include Platform.gmk

default: build

all: build test

#----------------------------------------------------------------------

include jtdiff.gmk
include jtreg.gmk
include $(TOPDIR)/test/*.gmk
include $(TOPDIR)/test/*/*.gmk
include Rules.gmk

build: $(BUILDFILES)

test: checkJavaOSVersion $(BUILDTESTDIR) $(INITIAL_TESTS) $(TESTS) $(FINAL_TESTS)
	count=`echo $+ | wc -w` ; \
	echo "All ($${count}) selected tests completed successfully"

quick-test: checkJavaOSVersion $(BUILDTESTDIR) $(INITIAL_TESTS)
	count=`echo $+ | wc -w` ; \
	echo "All ($${count}) selected tests completed successfully"

images: $(VERBOSEZIPFILES)

new-images: $(NEWVERBOSEZIPFILES)

clean:
	$(RM) $(BUILDDIR)

clean-except-deps:
	for i in $(BUILDDIR)/* ; do \
	    case $$i in \
		*/deps ) ;; \
		* ) $(RM) $$i ;; \
	    esac \
	done

clean-deps:
	$(RM) $(BUILDDIR)/deps

clean-tests:
	$(RM) $(BUILDTESTDIR)

.NO_PARALLEL: clean clean-except-deps clean-deps clean-tests

sanity:
ifdef JDK8HOME
	@echo "JDK8HOME            = $(JDK8HOME)"
endif
ifdef JDK9HOME
	@echo "JDK9HOME            = $(JDK9HOME)"
endif
ifdef JDK14HOME
	@echo "JDK14HOME           = $(JDK14HOME)"
endif
ifdef JDK18HOME
	@echo "JDK18HOME           = $(JDK18HOME)"
endif
	@echo "JDKHOME             = $(JDKHOME)"
	@echo "JAVATEST_HOME       = $(JAVATEST_HOME)"
ifneq ($(JTHARNESS_HOME), $(JAVATEST_HOME))
	@echo "JTHARNESS_HOME      = $(JTHARNESS_HOME)"
endif
	@echo "JTHARNESS_NOTICES   = $(JTHARNESS_NOTICES)"
	@echo "ASMTOOLS_JAR        = $(ASMTOOLS_JAR)"
	@echo "ASMTOOLS_NOTICES    = $(ASMTOOLS_NOTICES)"
	@echo "JUNIT_JARS          = $(JUNIT_JARS)"
	@echo "JUNIT_NOTICES       = $(JUNIT_NOTICES)"
	@echo "TESTNG_JARS         = $(TESTNG_JARS)"
	@echo "TESTNG_NOTICES      = $(TESTNG_NOTICES)"
	@echo "BUILD_VERSION       = $(BUILD_VERSION)"
	@echo "BUILD_MILESTONE     = $(BUILD_MILESTONE)"
	@echo "BUILD_NUMBER        = $(BUILD_NUMBER)"

#----------------------------------------------------------------------

$(BUILDTESTDIR):
	$(MKDIR) -p $@

#----------------------------------------------------------------------

checkJavaOSVersion:
ifeq ($(OS_NAME), macosx)
	$(JDKJAVA) CheckJavaOSVersion.java $(OS_VERSION)
endif

#----------------------------------------------------------------------


.PHONY: default all build test images new-images clean sanity

## jtreg7 7.1.1+1~us1

=== debian/changelog ===
jtreg7 (7.1.1+1~us1-0ubuntu2) lunar; urgency=medium

  * d/rules: use awk for version parsing in order to improve readability.
  * d/control: use testng 7 as a dependency (LP: #2012320).
  * d/jtreg7.links: fix junit5 link (LP: #2015810).
  * d/jtreg7.links: add link to guice.jar (LP: #2015811).
  * d/p: removed autogenerated patch footer.
  * d/t/self-test: added comment.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Mar 2023 13:57:25 +1300

jtreg7 (7.1.1+1~us1-0ubuntu1) lunar; urgency=medium

  * Package JTREG 7.1.1 (LP: #2008819)

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 23 Jan 2023 14:30:02 +1300

=== debian/control ===
Source: jtreg7
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 ant,
 debhelper-compat (=13),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 libtestng7-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 junit5,
 libguice-java,
 zip
Standards-Version: 4.6.2
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg7
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 junit5,
 libguice-java,
 libtestng7-java
Conflicts: jtreg, jtreg6
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

# version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+~-]' '{ print $$2 }')
DATE         := $(shell dpkg-parsechangelog --show-field Date)
JTREG_HOME   := $(shell readlink -f build/images/jtreg)
export JTREG_HOME

export HEADLESS=1
COMMA=,

SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@ --with javahelper

override_dh_auto_build:
	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
	mkdir -p build/classes/com/sun/javatest/regtest/tool
	(cd make && make \
		ASMTOOLS_JAR=/usr/share/java/asmtools.jar \
		BUILD_DIR=../build \
	    JUNIT_JARS=/usr/share/java/junit-platform-console-standalone.jar \
        TESTNG_JARS="/usr/share/java/testng.jar /usr/share/java/guice.jar /usr/share/java/jcommander.jar /usr/share/java/slf4j-simple.jar /usr/share/java/slf4j-api.jar" \
	    JAVATEST_JAR=/usr/share/java/javatest.jar \
	    BUILD_DATE='$(DATE)' \
	    BUILD_NUMBER=$(VERSION) \
	    BUILD_VERSION_STRING="$(VERSION)-src+$(BUILD_NUMBER)" \
	    BUILD_MILESTONE=src \
		JDKHOME=$(JAVA_HOME) \
	    BUILD_NUMBER=$(BUILD_NUMBER) -j$(NJOBS) all)
	dh_auto_build

	# Generate the manpages
	JT_HOME=./build/images/jtreg/lib/ help2man --no-discard-stderr --name="Regression Test Harness" --help-option="-help all" ./build/images/jtreg/bin/jtdiff > jtdiff.1
	JT_HOME=./build/images/jtreg/lib/ help2man --no-discard-stderr --name="Regression Test Harness" --help-option="-help all" ./build/images/jtreg/bin/jtreg > jtreg.1

## jtreg7 7.3.1%2B1

=== debian/changelog ===
jtreg7 (7.3.1+1-1) unstable; urgency=medium

  * New upstream release 7.3.1 build 1.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Aug 2023 09:24:14 +0200

jtreg7 (7.3+1-1) unstable; urgency=medium

  * New upstream release 7.3 build 1 (LP: #2031450).
  * Drop d/p/add-jcommander-to-classpath.patch - jtreg now adds all testng
    jars to the classpath.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 24 Aug 2023 18:24:13 +0200

jtreg7 (7.2+1-4) unstable; urgency=medium

  [ Chris Lamb ]
  * d/p/reproducible-build.patch: Make jtreg7 build reproducible. Use
    SOURCE_DATE_EPOCH instead of the current build date. Make jtreg.jar
    writable so that it is not ignored by strip-nondeterminism.
    Closes: #1038957.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Jun 2023 08:54:10 +1200

jtreg7 (7.2+1-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * Fix creating working directory in the autopkg test.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jun 2023 09:06:07 +0200

jtreg7 (7.2+1-2) unstable; urgency=medium

  * Source-only upload.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Jun 2023 20:23:48 +0200

jtreg7 (7.2+1-1) unstable; urgency=medium

  * New upstream release. Closes: #1032981.
  * d/p/add-container-count.patch: drop patch, upstream JUnit is updated.
  * d/copyright: exclude make/checkstyle.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 May 2023 14:28:12 +1200

## jtreg7 7.3.1+1~us2

=== debian/changelog ===
jtreg7 (7.3.1+1~us2-0ubuntu1~20.04.1) focal-security; urgency=medium

  * Vendor jtreg7 dependencies: apiguardian, hawt-jni, jansi1, jline3,
    junit4, junit5, libhamcrest-java, opentest4j, opentest4j-reporting,
    picocli, testng7, univocity-parsers to allow backports (LP: #2039219).
    - d/watch: build MUT original tarball.
    - d/component-scripts: add scripts to build the bundled components.
    - d/copyright: include bundled components copyrights.
  * d/control: downgrade debhelper compatibility level to 11 for
    backports.
  * d/rules: fix man page generation by using the version option.
  * Repack original tarball to drop excluded files.
  * d/t/self-test: use vendored dependencies.
  * Upload to Ubuntu 20.04.1.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 14 Feb 2024 18:18:21 +1300

=== debian/control ===
Source: jtreg7
Section: java
Priority: optional
Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends:
 ant,
 debhelper (>=11),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
 libjline2-java,
 zip,
 libjansi-native-java (>= 1.7),
 libmaven-bundle-plugin-java,
 maven-repo-helper,
 maven-debian-helper,
 gradle-debian-helper (>= 1.4),
 groovy (>= 2.4.10),
 libjna-java,
 libjuniversalchardet-java,
 libmaven-bundle-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-source-plugin-java,
 libbuild-helper-maven-plugin-java,
 junit,
 libeasymock-java,
 libjmock-java,
 rsync,
 libmaven-shade-plugin-java,
 libassertj-core-java,
 libjtharness-java (>= 6.0),
 libyaml-snake-java,
 libfindbugs-java,
 libbsh-java,
 libasm-java,
 libcommons-lang-java,
 libmaven-plugin-tools-java,
 libplexus-component-metadata-java,
 libxbean-java,
Standards-Version: 4.6.2
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg7
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
Conflicts: jtreg, jtreg6
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

# version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+~-]' '{ print $$2 }')
DATE         := $(shell dpkg-parsechangelog --show-field Date)
JTREG_HOME   := $(shell readlink -f build/images/jtreg)

export TESTNG_VERSION=7.5

export JTREG_HOME

export HEADLESS=1
COMMA=,

SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

components:=apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng

%:
	dh $@

override_dh_clean:
	./debian/component-scripts/clean-components.sh jtreg7 $(components)
	dh_clean

override_dh_auto_build:
	./debian/component-scripts/build-components.sh jtreg7 $(components)

	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
	mkdir -p build/classes/com/sun/javatest/regtest/tool
	(cd make && make \
		ASMTOOLS_JAR=/usr/share/java/asmtools.jar \
		BUILD_DIR=../build \
		JUNIT_JARS=../junit5/debian/jtreg7/usr/share/java/junit-platform-console-standalone.jar \
		TESTNG_JARS="../testng/debian/jtreg7/usr/share/java/testng.jar /usr/share/java/guice.jar /usr/share/java/jcommander.jar /usr/share/java/slf4j-simple.jar /usr/share/java/slf4j-api.jar" \
		JAVATEST_JAR=/usr/share/java/javatest.jar \
		BUILD_DATE='$(DATE)' \
		BUILD_NUMBER=$(VERSION) \
		BUILD_VERSION_STRING="$(VERSION)-src+$(BUILD_NUMBER)" \
		BUILD_MILESTONE=src \
		JDKHOME=$(JAVA_HOME) \
		BUILD_NUMBER=$(BUILD_NUMBER) -j$(NJOBS) all)

	# Generate the manpages
	JT_HOME=build/images/jtreg help2man --name="Regression Test Harness" --help-option="-help all" --version-option="-version" build/images/jtreg/bin/jtdiff > jtdiff.1
	JT_HOME=build/images/jtreg help2man --name="Regression Test Harness" --help-option="-help all" --version-option="-version" build/images/jtreg/bin/jtreg > jtreg.1

	# Make jtreg.jar writable so it is not ignored by strip-nondeterminism
	chmod +w build/images/jtreg/lib/jtreg.jar

=== debian/watch ===
version=4
opts="compression=gzip,repack,repacksuffix=~us2,dversionmangle=s/\~(us)(\.?\d+)?$//" \
https://github.com/openjdk/jtreg/tags .*/jtreg-([\d\.]+(?:\+[0-9]+)?)\.tar\.gz

opts="compression=gzip,component=jansi1,repack" \
https://github.com/fusesource/jansi/tags?after=jansi-2.1.0 .*/jansi-project-(1.18)\.tar\.gz 1.18

opts="compression=gzip,component=jline3,repack" \
https://github.com/jline/jline3/tags?after=jline-parent-3.5.2 .*/.*-(3.3.1)\.tar\.gz 3.3.1

opts="compression=gzip,component=junit4,repack" \
  https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2

opts="compression=gzip,component=junit5,repack" \
https://github.com/junit-team/junit5/tags .*/r(5.9.2)\.tar\.gz 5.9.2

opts="compression=gzip,component=libhamcrest-java,repack" \
https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2

opts="compression=gzip,component=opentest4j-reporting,repack" \
https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M1)\.tar\.gz 0.1.0-M1

opts="compression=gzip,component=picocli,repack" \
https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2

opts="compression=gzip,component=testng,repack" \
https://github.com/cbeust/testng/tags .*/(7.5.1)\.tar\.gz 7.5.1

opts="compression=gzip,component=univocity-parsers,repack" \
https://github.com/univocity/univocity-parsers/tags .*/(?:.*?)(2.9.1)\.tar\.gz 2.9.1

opts="compression=gzip,component=hawt-jni,repack" \
https://github.com/fusesource/hawtjni/tags .*/hawtjni-project-(1.18).tar.gz 1.18

opts="compression=gzip,component=opentest4j,repack" \
https://github.com/ota4j-team/opentest4j/tags .*/r(1.2.0)\.tar\.gz 1.2.0

opts="compression=gzip,component=apiguardian,repack" \
https://github.com/apiguardian-team/apiguardian/tags .*/r(1.1.2)\.tar\.gz 1.1.2

## jtreg7 7.3.1+1

=== debian/changelog ===
jtreg7 (7.3.1+1-1~deb12u1) bookworm-security; urgency=medium

  * Rebuild for bookworm, needed for latest OpenJDK 17.x release

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 26 Jan 2024 15:42:34 +0100

=== debian/control ===
Source: jtreg7
Section: java
Priority: optional
Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends:
 ant,
 debhelper-compat (=13),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 libtestng7-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 junit5,
 libguice-java,
 zip
Standards-Version: 4.6.2
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg7
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libhamcrest-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 junit5,
 libguice-java,
 libtestng7-java
Conflicts: jtreg, jtreg6
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

# version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+~-]' '{ print $$2 }')
DATE         := $(shell dpkg-parsechangelog --show-field Date)
JTREG_HOME   := $(shell readlink -f build/images/jtreg)
export JTREG_HOME

export HEADLESS=1
COMMA=,

SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

%:
	dh $@ --with javahelper

override_dh_auto_build:
	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
	mkdir -p build/classes/com/sun/javatest/regtest/tool
	(cd make && make \
		ASMTOOLS_JAR=/usr/share/java/asmtools.jar \
		BUILD_DIR=../build \
		JUNIT_JARS=/usr/share/java/junit-platform-console-standalone.jar \
		TESTNG_JARS="/usr/share/java/testng.jar /usr/share/java/guice.jar /usr/share/java/jcommander.jar /usr/share/java/slf4j-simple.jar /usr/share/java/slf4j-api.jar" \
		JAVATEST_JAR=/usr/share/java/javatest.jar \
		BUILD_DATE='$(DATE)' \
		BUILD_NUMBER=$(VERSION) \
		BUILD_VERSION_STRING="$(VERSION)-src+$(BUILD_NUMBER)" \
		BUILD_MILESTONE=src \
		JDKHOME=$(JAVA_HOME) \
		BUILD_NUMBER=$(BUILD_NUMBER) -j$(NJOBS) all)
	dh_auto_build

	# Generate the manpages
	JT_HOME=./build/images/jtreg/lib/ help2man --no-discard-stderr --name="Regression Test Harness" --help-option="-help all" ./build/images/jtreg/bin/jtdiff > jtdiff.1
	JT_HOME=./build/images/jtreg/lib/ help2man --no-discard-stderr --name="Regression Test Harness" --help-option="-help all" ./build/images/jtreg/bin/jtreg > jtreg.1

	# Make jtreg.jar writable so it is not ignored by strip-nondeterminism
	chmod +w build/images/jtreg/lib/jtreg.jar

=== debian/watch ===
version=4
opts=\
compression=gzip,\
repack,\
repacksuffix=~us1,\
dversionmangle=s/\~us\d*$// \
https://github.com/openjdk/jtreg/tags .*/jtreg-([\d\.]+(?:\+[0-9]+)?).tar.gz

## jtreg7 7.3.1+1+ds1

=== debian/changelog ===
jtreg7 (7.3.1+1+ds1-2ubuntu1) oracular; urgency=medium

  * d/p/opentest4j-reporting-01-gradle-compatibility.patch: set
    source/targetCompatibility 8 to support openjdk 11 jtreg tests
    (LP: #2067520).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 30 May 2024 08:35:04 +1200

jtreg7 (7.3.1+1+ds1-2) unstable; urgency=medium

  [ Pushkar Kulkarni ]
  * d/t/self-test: Update jar paths for autopkgtests
    (Closes: #1070740).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 09 May 2024 08:52:53 +1200

jtreg7 (7.3.1+1+ds1-1) unstable; urgency=medium

  * Team upload

  [ Vladimir Petko ]
  * Vendor jtreg7 dependencies: apiguardian, hawt-jni, jansi1, jline3,
    junit4, junit5, libhamcrest-java, opentest4j, opentest4j-reporting,
    picocli, testng7, univocity-parsers to allow backports
    (Closes: #1068629).
    - d/watch: build MUT original tarball.
    - d/component-scripts: add scripts to build the bundled components.
    - d/copyright: include bundled components copyrights.
  * d/control: downgrade debhelper compatibility level to 11 for
    backports.
  * d/rules: fix man page generation by using the version option.
  * Repack original tarball to drop excluded files.

 -- tony mancill <tmancill@debian.org>  Mon, 06 May 2024 19:55:00 -0700

jtreg7 (7.3.1+1-2) unstable; urgency=medium

  * Team upload.

  [ Vladimir Petko ]
  * d/p/java21-*: add Java 21 compatibility patches: fix this-escape
    warning, disable tests failing due to SecurityManager changes
    (Closes: #1057512).

  [ Emmanuel Bourg ]
  * Added the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 09 Apr 2024 14:39:35 +0200

=== debian/control ===
Source: jtreg7
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends:
 ant,
 debhelper (>=11),
 default-jdk,
 help2man,
 javahelp2,
 javahelper,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
 libjline2-java,
 zip,
 libjansi-native-java (>= 1.7),
 libmaven-bundle-plugin-java,
 maven-repo-helper,
 maven-debian-helper,
 gradle-debian-helper (>= 1.4),
 groovy (>= 2.4.10),
 libjna-java,
 libjuniversalchardet-java,
 libmaven-dependency-plugin-java,
 libmaven-source-plugin-java,
 libbuild-helper-maven-plugin-java,
 junit,
 libeasymock-java,
 libjmock-java,
 rsync,
 libmaven-shade-plugin-java,
 libassertj-core-java,
 libjtharness-java (>= 6.0),
 libyaml-snake-java,
 libfindbugs-java,
 libbsh-java,
 libasm-java,
 libcommons-lang-java,
 libmaven-plugin-tools-java,
 libplexus-component-metadata-java,
 libxbean-java,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/jtreg7.git
Vcs-Browser: https://salsa.debian.org/java-team/jtreg7
Homepage: https://openjdk.java.net/jtreg
Rules-Requires-Root: no

Package: jtreg7
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 javahelp2,
 libjtharness-java (>= 6.0),
 libxalan2-java,
 libasmtools-java,
 libjcommander-java,
 libslf4j-java,
 libguice-java,
Conflicts: jtreg, jtreg6
Description: Regression Test Harness for the OpenJDK platform
 jtreg is the test harness used by the OpenJDK test framework.
 This framework is intended primarily for regression tests.
 It can also be used for unit tests, functional tests, and even simple product
 tests -- in other words, just about any type of test except a conformance test,
 which belong in a TCK.

=== debian/watch ===
version=4
opts="compression=gzip,repack,repacksuffix=+ds1,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://github.com/openjdk/jtreg/tags .*/jtreg-([\d\.]+(?:\+[0-9]+)?)\.tar\.gz

opts="compression=gzip,component=jansi1,repack" \
https://github.com/fusesource/jansi/tags?after=jansi-2.1.0 .*/jansi-project-(1.18)\.tar\.gz 1.18

opts="compression=gzip,component=jline3,repack" \
https://github.com/jline/jline3/tags?after=jline-parent-3.5.2 .*/.*-(3.3.1)\.tar\.gz 3.3.1

opts="compression=gzip,component=junit4,repack" \
  https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2

opts="compression=gzip,component=junit5,repack" \
https://github.com/junit-team/junit5/tags .*/r(5.9.2)\.tar\.gz 5.9.2

opts="compression=gzip,component=libhamcrest-java,repack" \
https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2

opts="compression=gzip,component=opentest4j-reporting,repack" \
https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M1)\.tar\.gz 0.1.0-M1

opts="compression=gzip,component=picocli,repack" \
https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2

opts="compression=gzip,component=testng,repack" \
https://github.com/cbeust/testng/tags .*/(7.5.1)\.tar\.gz 7.5.1

opts="compression=gzip,component=univocity-parsers,repack" \
https://github.com/univocity/univocity-parsers/tags .*/(?:.*?)(2.9.1)\.tar\.gz 2.9.1

opts="compression=gzip,component=hawt-jni,repack" \
https://github.com/fusesource/hawtjni/tags .*/hawtjni-project-(1.18).tar.gz 1.18

opts="compression=gzip,component=opentest4j,repack" \
https://github.com/ota4j-team/opentest4j/tags .*/r(1.2.0)\.tar\.gz 1.2.0

opts="compression=gzip,component=apiguardian,repack" \
https://github.com/apiguardian-team/apiguardian/tags .*/r(1.1.2)\.tar\.gz 1.1.2

## jtreg7 7.4+1~us1

=== debian/changelog ===
jtreg7 (7.4+1~us1-0ubuntu1) oracular; urgency=medium

  * New upstream release 7.4+1.
  * d/p/codetools-7903760.patch: apply upstream patch to revert
    jtdiff removal.
  * d/p/reproducible-build.patch: refresh patch.
  * d/p/java21-this-escape.patch: drop patch applied upstream.
  * d/rules: create build/test directory.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 01 Jul 2024 11:08:05 +1200

## jtreg7 7.4+1+ds1

=== make/Makefile ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 #----------------------------------------------------------------------
 
-include jtdiff.gmk
 include jtreg.gmk
 include $(TOPDIR)/test/*.gmk
 include $(TOPDIR)/test/*/*.gmk

=== debian/changelog ===
jtreg7 (7.4+1+ds1-1~24.04) noble-security; urgency=medium

  * Upload to Ubuntu 24.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 Jul 2024 18:14:56 +1200

jtreg7 (7.4+1+ds1-1) unstable; urgency=medium

  * New upstream release 7.4 build 1.
  * d/p/opentest4j-reporting-01-gradle-compatibility.patch: set
    source/target compatibility 8 to support openjdk-11 jtreg tests
    (Closes: #1071976).
  * d/p/watch: update watch for the new upstream release.
  * d/p/codetools-7903760.patch: apply upstream patch to revert
    jtdiff removal.
  * d/p/reproducible-build.patch: refresh patch.
  * d/p/java21-this-escape.patch: drop patch applied upstream.
  * d/rules: create build/test/ directory.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 03 Jul 2024 14:34:39 +1200

=== debian/watch ===
--- 
+++ 
@@ -12,7 +12,7 @@
   https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2
 
 opts="compression=gzip,component=junit5,repack" \
-https://github.com/junit-team/junit5/tags .*/r(5.9.2)\.tar\.gz 5.9.2
+https://github.com/junit-team/junit5/tags .*/r(5.10.2)\.tar\.gz 5.10.2
 
 opts="compression=gzip,component=libhamcrest-java,repack" \
 https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2
@@ -24,7 +24,7 @@
 https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2
 
 opts="compression=gzip,component=testng,repack" \
-https://github.com/cbeust/testng/tags .*/(7.5.1)\.tar\.gz 7.5.1
+https://github.com/cbeust/testng/tags?after=7.8.0-rc2 .*/(7.5.1)\.tar\.gz 7.5.1
 
 opts="compression=gzip,component=univocity-parsers,repack" \
 https://github.com/univocity/univocity-parsers/tags .*/(?:.*?)(2.9.1)\.tar\.gz 2.9.1

## jtreg7 7.5.1+1+ds1

=== make/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 1999, 2022, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 1999, 2024, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -34,6 +34,7 @@
 
 #----------------------------------------------------------------------
 
+include jtdiff.gmk
 include jtreg.gmk
 include $(TOPDIR)/test/*.gmk
 include $(TOPDIR)/test/*/*.gmk
@@ -42,8 +43,29 @@
 build: $(BUILDFILES)
 
 test: checkJavaOSVersion $(BUILDTESTDIR) $(INITIAL_TESTS) $(TESTS) $(FINAL_TESTS)
-	count=`echo $+ | wc -w` ; \
+	@count=`echo $+ | wc -w` ; \
 	echo "All ($${count}) selected tests completed successfully"
+ifndef JDK8HOME
+	@echo "Warning: JDK8HOME not set; some tests may not have been executed"
+endif
+ifndef JDK9HOME
+	@echo "Warning: JDK9HOME not set; some tests may not have been executed"
+endif
+ifndef JDK10HOME
+	@echo "Warning: JDK10HOME not set; some tests may not have been executed"
+endif
+ifndef JDK14HOME
+	@echo "Warning: JDK14HOME not set; some tests may not have been executed"
+endif
+ifndef JDK18HOME
+	@echo "Warning: JDK18HOME not set; some tests may not have been executed"
+endif
+ifdef HEADLESS
+	@echo "Warning: HEADLESS is set; some tests may not have been executed"
+endif
+ifeq ($(OS_NAME), windows)
+	@echo "Warning: OS is Windows; some tests may not have been executed"
+endif
 
 quick-test: checkJavaOSVersion $(BUILDTESTDIR) $(INITIAL_TESTS)
 	count=`echo $+ | wc -w` ; \
@@ -78,6 +100,9 @@
 endif
 ifdef JDK9HOME
 	@echo "JDK9HOME            = $(JDK9HOME)"
+endif
+ifdef JDK10HOME
+	@echo "JDK10HOME           = $(JDK10HOME)"
 endif
 ifdef JDK14HOME
 	@echo "JDK14HOME           = $(JDK14HOME)"

=== debian/changelog ===
jtreg7 (7.5.1+1+ds1-1) unstable; urgency=medium

  * New upstream release 7.5.1 build 1.
    - d/watch: update junit5 to 5.11.4.
    - d/watch: update opentest4j-reporting to 1.0.1-M2.
  * d/p/{codetools-7903760, java21-codetools-7903645}.patch: drop
    patches applied upstream.
  * d/junit5: add generated JRE.java source.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 06 Feb 2025 10:11:14 +1300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: jtreg7
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
+Maintainer: Vladimir Petko <vladimir.petko@canonical.com>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends:
  ant,

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

# version string has the form 7.1+N[+ds]-D, the Debian release is not passed into the build
VERSION      := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+]' '{ print $$1 }')
BUILD_NUMBER := $(shell dpkg-parsechangelog --show-field Version | awk -F'[+~-]' '{ print $$2 }')
DATE         := $(shell dpkg-parsechangelog --show-field Date)
JTREG_HOME   := $(shell readlink -f build/images/jtreg)

export TESTNG_VERSION=7.5

export JTREG_HOME

export HEADLESS=1
COMMA=,

SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

components:=apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng

%:
	dh $@

override_dh_clean:
	./debian/component-scripts/clean-components.sh jtreg7 $(components)
	dh_clean

override_dh_auto_build:
	./debian/component-scripts/build-components.sh jtreg7 $(components)

	echo "=== $(VERSION) - $(BUILD_NUMBER) ==="
	mkdir -p build/classes/com/sun/javatest/regtest/tool
	mkdir -p build/test
	(cd make && make \
		ASMTOOLS_JAR=/usr/share/java/asmtools.jar \
		BUILD_DIR=../build \
		JUNIT_JARS=../junit5/debian/jtreg7/usr/share/java/junit-platform-console-standalone.jar \
		TESTNG_JARS="../testng/debian/jtreg7/usr/share/java/testng.jar /usr/share/java/guice.jar /usr/share/java/jcommander.jar /usr/share/java/slf4j-simple.jar /usr/share/java/slf4j-api.jar" \
		JAVATEST_JAR=/usr/share/java/javatest.jar \
		BUILD_DATE='$(DATE)' \
		BUILD_NUMBER=$(VERSION) \
		BUILD_VERSION_STRING="$(VERSION)-src+$(BUILD_NUMBER)" \
		BUILD_MILESTONE=src \
		JDKHOME=$(JAVA_HOME) \
		BUILD_NUMBER=$(BUILD_NUMBER) -j$(NJOBS) all)

	# Generate the manpages
	JT_HOME=build/images/jtreg help2man --name="Regression Test Harness" --help-option="-help all" --version-option="-version" build/images/jtreg/bin/jtdiff > jtdiff.1
	JT_HOME=build/images/jtreg help2man --name="Regression Test Harness" --help-option="-help all" --version-option="-version" build/images/jtreg/bin/jtreg > jtreg.1

	# Make jtreg.jar writable so it is not ignored by strip-nondeterminism
	chmod +w build/images/jtreg/lib/jtreg.jar

=== debian/watch ===
--- 
+++ 
@@ -12,13 +12,13 @@
   https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2
 
 opts="compression=gzip,component=junit5,repack" \
-https://github.com/junit-team/junit5/tags .*/r(5.10.2)\.tar\.gz 5.10.2
+https://github.com/junit-team/junit5/tags .*/r(5.11.4)\.tar\.gz 5.11.4
 
 opts="compression=gzip,component=libhamcrest-java,repack" \
 https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2
 
 opts="compression=gzip,component=opentest4j-reporting,repack" \
-https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M1)\.tar\.gz 0.1.0-M1
+https://github.com/ota4j-team/open-test-reporting/tags .*/r(0.1.0-M2)\.tar\.gz 0.1.0-M2
 
 opts="compression=gzip,component=picocli,repack" \
 https://github.com/remkop/picocli/tags (?:.*?/)?v?(4.6.2)\.tar\.gz 4.6.2

## jtreg7 7.5.2%2B1%2Bds1

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  libmaven-plugin-tools-java,
  libplexus-component-metadata-java,
  libxbean-java,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/jtreg7.git
 Vcs-Browser: https://salsa.debian.org/java-team/jtreg7
 Homepage: https://openjdk.java.net/jtreg

## jtreg7 7.5.2+1+ds1

=== test/timeouts/test/Makefile ===
#
# Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

# This is a Makefile for JPRT testing


# Get OS/ARCH specifics
OSNAME = $(shell uname -s)
ifeq ($(OSNAME), SunOS)
  PLATFORM = solaris
  ARCH = $(shell uname -p)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Linux)
  PLATFORM = linux
  ARCH = $(shell uname -m)
  ifeq ($(ARCH), i386)
    ARCH=i586
  endif
endif
ifeq ($(OSNAME), Windows_NT)
  PLATFORM = windows
  ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),ia64)
    ARCH=ia64
  else
    ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),AMD64)
      ARCH=x64
    else
      ifeq ($(word 1, $(PROCESSOR_IDENTIFIER)),EM64T)
        ARCH=x64
      else
        ARCH=i586
      endif
    endif
  endif
endif


# Root of this test area (important to use full paths in some places)
TEST_ROOT := $(shell pwd)

# Default bundle of all test results (passed or not) (JPRT only)
ifdef JPRT_JOB_ID
  JPRT_CLEAN = clean
  JPRT_ARCHIVE_BUNDLE = $(TEST_ROOT)/JPRT_ARCHIVE_BUNDLE.zip
endif

ifeq ($(PLATFORM), windows)
  SLASH_JAVA = J:
else
  SLASH_JAVA = /java
endif

# Default JTREG to run
ifdef JPRT_JTREG_HOME
  JTREG_HOME = $(JPRT_JTREG_HOME)
else
  JTREG_HOME = $(SLASH_JAVA)/re/jtreg/4.0/promoted/latest/binaries/jtreg
endif
JTREG = $(JTREG_HOME)/bin/jtreg


# Default JDK for JTREG and JCK
#
# JT_JAVA is the version of java used to run jtreg/JCK. Since it is now
# standard to execute tests in sameVM mode, it should normally be set the
# same as TESTJAVA (although not necessarily so.)
#
ifdef JPRT_JAVA_HOME
  JT_JAVA = $(JPRT_JAVA_HOME)
else
  JT_JAVA = $(SLASH_JAVA)/re/jdk/1.6.0/archive/fcs/binaries/$(PLATFORM)-$(ARCH)
endif

# Default JDK to test
ifdef JPRT_IMPORT_PRODUCT_HOME
  TESTJAVA = $(JPRT_IMPORT_PRODUCT_HOME)
else
  TESTJAVA = $(SLASH_JAVA)/re/jdk/1.7.0/promoted/latest/binaries/$(PLATFORM)-$(ARCH)
endif


# Exit codes:
# jtreg, jck:   0: OK, 1: no tests, 2: tests failed, 3: tests error; 4+: SERIOUS
FATAL_JTREG_EXIT = 4
#
# Exit -- used for final "normal" exit from "make". Redefine to "true" to avoid
# having make exit with non-zero return code.
EXIT = exit
# Function to exit shell if exit code of preceding command is greater than or equal
# to a given level. Redefine function or preceding FATAL_*_EXIT codes as needed.
EXIT_IF_FATAL = status=$$?; if [ $$status -ge $(1) ]; then exit $$status ; fi

# Root of all test results
TEST_OUTPUT_DIR = $(TEST_ROOT)/../build/$(PLATFORM)-$(ARCH)/jtreg
ABS_TEST_OUTPUT_DIR := \
	$(shell mkdir -p $(TEST_OUTPUT_DIR); cd $(TEST_OUTPUT_DIR); pwd )

all:    init run report summary

init:
	rm -f $(TEST_OUTPUT_DIR)/summary

run:	init
	for mode in agentvm samevm othervm ; do \
	    for test in *Test.java ; do \
		echo ; echo "*** Test $$mode $$test"; echo ; \
		$(MAKE) MODE=$$mode TEST=$$test SUMMARY=$(TEST_OUTPUT_DIR)/summary jtreg-test ; \
	    done ; \
	done

report: run $(JPRT_ARCHIVE_BUNDLE)

summary: report
	if grep FAILED $(TEST_OUTPUT_DIR)/summary ; then \
	    exit 1 ; \
	fi
	
	

JTREG_OUTPUT_DIR = $(ABS_TEST_OUTPUT_DIR)/$(MODE)/$(subst .java,,$(TEST))

JTREG_OPTIONS += -timeoutFactor:0.1

CHECK_PASS = \
    if grep '$(1).*Passed' $(JTREG_OUTPUT_DIR)/report/text/summary.txt ; then \
	echo $(1) OK ; \
    else \
	echo $(1) FAILED ; \
    fi

# Run jtreg test
#
# JTREG_HOME
#	Installed location of jtreg
# JT_JAVA
#	Version of java used to run jtreg.  Should normally be the same as TESTJAVA
# TESTJAVA
# 	Version of java to be tested.
# JTREG_OPTIONS
#	Additional options for jtreg
# JTREG_TESTDIRS
#	Directories of tests to be run
# JTREG_OUTPUT_DIR
#	Where to write the results
# JTREG_REFERENCE
#	(Optional) reference results (e.g. work, report or summary.txt)
#
jtreg-test: check-jtreg FRC
	@rm -f -r $(JTREG_OUTPUT_DIR)/work $(JTREG_OUTPUT_DIR)/report \
	    $(JTREG_OUTPUT_DIR)/diff.html $(JTREG_OUTPUT_DIR)/status.txt
	@mkdir -p $(JTREG_OUTPUT_DIR)
	JT_JAVA=$(JT_JAVA) $(JTREG) \
	  -$(MODE) \
	  -v:fail,error \
          -r:$(JTREG_OUTPUT_DIR)/report \
          -w:$(JTREG_OUTPUT_DIR)/work \
          -jdk:$(TESTJAVA) \
          $(JAVA_ARGS:%=-vmoption:%) \
          $(JTREG_OPTIONS) \
          AAA_Pass.java $(TEST) ZZZ_Pass.java \
	|| ( $(call EXIT_IF_FATAL,$(FATAL_JTREG_EXIT)) ; \
	    echo $$status > $(JTREG_OUTPUT_DIR)/status.txt \
	)
	if ( \
	    grep AAA_Pass.*Passed $(JTREG_OUTPUT_DIR)/report/text/summary.txt && \
	    grep ZZZ_Pass.*Passed $(JTREG_OUTPUT_DIR)/report/text/summary.txt ) \
	then \
	    echo "$(MODE) $(TEST) OK" >> $(SUMMARY) ; \
	else \
	    echo "$(MODE) $(TEST) FAILED" >> $(SUMMARY) ; \
	fi


# Check to make sure these directories exist
check-jtreg: $(JT_HOME) $(JTREG)

# Bundle up the results
$(JPRT_ARCHIVE_BUNDLE): FRC
	@rm -f $@
	@mkdir -p $(@D)
	( cd $(TEST_OUTPUT_DIR) && zip -q -r $@ . )

# Cleanup
clean:
	rm -f $(JPRT_ARCHIVE_BUNDLE)

# Used to force a target rules to run
FRC:

# Phony targets (e.g. these are not filenames)
.PHONY: all init run report summary clean jtreg-test FRC

# No use of suffix rules
.SUFFIXES:

=== debian/changelog ===
jtreg7 (7.5.2+1+ds1-2~22.04.2) jammy; urgency=medium

  * Upload to Ubuntu 22.04 (LP: #2120601).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 18 Sep 2025 18:22:27 +1200

jtreg7 (7.5.2+1+ds1-2) unstable; urgency=medium

  * d/copyright: revert FSF address change.
  * d/s/lintian-overrides, d/jtreg7.lintian-overrides: add override for
    the old FSF address.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 21 Aug 2025 08:17:51 +1200

jtreg7 (7.5.2+1+ds1-1) unstable; urgency=medium

  [ Vladimir Petko ]
  * New upstream release 7.5.2+1.
    - d/watch: set major jtreg version to 7, update junit5 download
      url.
    - refresh patches.
    - d/picocli/maven.rules: replace groovy version with 'debian'.
    - d/p/preview-test.patch: enable --enable-preview tests for
      Java > 11.
  * d/control: update Standards Version to 4.7.2 (no changes).
  * Add lintian overrides.
  * d/copyright: update FSF address.

  [ tony mancill ]
  * Add flush-alarm.patch

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 04 Aug 2025 10:39:03 +1200

jtreg7 (7.5.1+1+ds1-3) unstable; urgency=medium

  * d/t/self-test: pass JAVA_SPECIFICATION_VERSION to make to fix
    autopkgtest regression (Closes: #1102171).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 08 Apr 2025 08:14:26 +1200

jtreg7 (7.5.1+1+ds1-2) unstable; urgency=medium

  * Fix ftbfs in backports (Closes: #1102171):
    - d/p/jline3-01-ignore-warnings.patch: ignore builtins warnings.
    - d/rules: use upstream expression from make/build.sh to set
      JAVA_SPECIFICATION_VERSION. Add JAVA_SPECIFICATION_VERSION
      make parameter.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sun, 06 Apr 2025 12:28:18 +1200

=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 opts="compression=gzip,repack,repacksuffix=+ds1,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
-https://github.com/openjdk/jtreg/tags .*/jtreg-([\d\.]+(?:\+[0-9]+)?)\.tar\.gz
+https://github.com/openjdk/jtreg/tags .*/jtreg-(7.[\d\.]+(?:\+[0-9]+)?)\.tar\.gz
 
 opts="compression=gzip,component=jansi1,repack" \
 https://github.com/fusesource/jansi/tags?after=jansi-2.1.0 .*/jansi-project-(1.18)\.tar\.gz 1.18
@@ -12,7 +12,7 @@
   https://github.com/junit-team/junit4/tags .*/r?(4.13.2)\.tar\.gz 4.13.2
 
 opts="compression=gzip,component=junit5,repack" \
-https://github.com/junit-team/junit5/tags .*/r(5.11.4)\.tar\.gz 5.11.4
+https://github.com/junit-team/junit5/tags?after=r5.12.2 .*/r(5.11.4)\.tar\.gz 5.11.4
 
 opts="compression=gzip,component=libhamcrest-java,repack" \
 https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)(2.2)\.tar\.gz 2.2

## jtreg7 7.5.2+1+ds2

=== make/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 1999, 2024, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 1999, 2025, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -129,7 +129,7 @@
 #----------------------------------------------------------------------
 
 $(BUILDTESTDIR):
-	$(MKDIR) -p $@
+	$(MKDIR) $@
 
 #----------------------------------------------------------------------

=== debian/changelog ===
jtreg7 (7.5.2+1+ds2-1) unstable; urgency=medium

  * d/{control, copyright,p/testng-build-with-gradle.patch}: drop
    snakeyaml dependency (Closes: #1117950).
  * Add patches to resolve test ftbfs (Closes: #1115694):
    - d/p/codetools-7904101.patch: capture all stdout/stderr output
      from the agent vm to the log file.
    - d/p/codetools-7904104-proposed.patch: do not interrupt main
      thread if the agent process is killed.
    - d/p/codetools-7904105-proposed.patch: synchronize test result
      updates.
    - d/p/codetools-7904106-proposed.patch: use different work
      directories for TestNativePath.
    - d/p/codetools-7904107-proposed.patch: add a separate target to
      filter log files.
  * d/flush_stream.patch: drop patch, it is replaced by
    d/p/codetools-7904101.patch.
  * d/watch: update repack version.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 23 Oct 2025 08:54:01 +1300

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,6 @@
  libmaven-shade-plugin-java,
  libassertj-core-java,
  libjtharness-java (>= 6.0),
- libyaml-snake-java,
  libfindbugs-java,
  libbsh-java,
  libasm-java,

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,12 @@
 ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
+
+JAVA_VERSION=$(shell java -version 2>&1)
+JAVA_SPECIFICATION_VERSION=$(shell echo "${JAVA_VERSION}" | \
+	grep -e ^java -e ^openjdk | \
+	head -n 1 | \
+	sed -e 's/^[^0-9]*\(1\.\)*\([1-9][0-9]*\).*/\2/' )
 
 components:=apiguardian hawt-jni jansi1 jline3 picocli univocity-parsers libhamcrest-java junit4 opentest4j opentest4j-reporting junit5 testng
 
@@ -46,6 +52,7 @@
 		BUILD_VERSION_STRING="$(VERSION)-src+$(BUILD_NUMBER)" \
 		BUILD_MILESTONE=src \
 		JDKHOME=$(JAVA_HOME) \
+		JAVA_SPECIFICATION_VERSION=$(JAVA_SPECIFICATION_VERSION) \
 		BUILD_NUMBER=$(BUILD_NUMBER) -j$(NJOBS) all)
 
 	# Generate the manpages

=== debian/tests/control ===
Tests: self-test
Depends: @, default-jdk, libtestng7-java
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,5 @@
 version=4
-opts="compression=gzip,repack,repacksuffix=+ds1,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
+opts="compression=gzip,repack,repacksuffix=+ds2,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
 https://github.com/openjdk/jtreg/tags .*/jtreg-(7.[\d\.]+(?:\+[0-9]+)?)\.tar\.gz
 
 opts="compression=gzip,component=jansi1,repack" \
